<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" type="text/css" href="UserSignUp.css">
    <title>Multer uploader</title>
</head>

<body>
    <div>

        <div class="login-form">
            <form action="/upload" method="POST" enctype="multipart/form-data">
                <div>

                    <img src="<%= typeof filename=='undefined' ? ' ./background.jpg' : filename %>"
                        alt="Upload is having issues" width="400" height="250">
                </div>
                <div class="textbox">
                    <h2>Multer file uploader</h2>
                    <p>Multer is a node.js middleware which is famous for uploading files.</p>
                </div>

                <div class="textbox">
                    <input type="file" name="avatar" required>
                </div>

                <p text-color="red">
                    <%= typeof message=='undefined' ? '' : message %>
                        <!-- when it loads page for first time message header will be undefined. When we upload something and submit then it contains either error or uploaded successfully-->
                </p><br>

                <input class="btn" type="submit" value="Upload">

            </form>
        </div>
    </div>
</body>

</html>